Bug 530198 - Review Request: rubygem-columnize - Sorts an array in column order
Review Request: rubygem-columnize - Sorts an array in column order
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 588429 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-21 16:38 EDT by Jeroen van Meeuwen
Modified: 2010-05-03 14:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-23 10:55:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2009-10-21 16:38:56 EDT
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-columnize.spec
SRPM URL: http://www.kanarip.com/custom/f12/SRPMS/rubygem-columnize-0.3.1-2.fc12.src.rpm
Description: Sorts an array in column order

rpmlint is entirely silent for a change.
Comment 1 Mamoru TASAKA 2009-11-02 11:57:47 EST
Some notes:

* %check
  - Please add %check section as this package contains test/
    directory

* License
  - Well, while I believe this is under GPLv2+, "README" says
    this is under GPLv2, so it is safer that the license tag
    is changed to GPLv2.

* %define -> %global
  - We now prefer to use %global rather than %define.

* unused macro
  - The defined macro %ruby_sitelib does not seem to be used.
Comment 2 Mamoru TASAKA 2009-11-17 11:54:44 EST
Would you update this?
Comment 3 Mamoru TASAKA 2009-11-26 11:41:42 EST
ping?
Comment 4 Jeroen van Meeuwen 2009-12-14 08:20:40 EST
(In reply to comment #1)
> Some notes:
> 
> * %check
>   - Please add %check section as this package contains test/
>     directory
> 

Fixed.

> * License
>   - Well, while I believe this is under GPLv2+, "README" says
>     this is under GPLv2, so it is safer that the license tag
>     is changed to GPLv2.
> 

OK, fixed.

> * %define -> %global
>   - We now prefer to use %global rather than %define.
> 

Fixed.

> * unused macro
>   - The defined macro %ruby_sitelib does not seem to be used.  

Fixed.

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-columnize.spec
New SRPM: http://www.kanarip.com/custom/f12/SRPMS/rubygem-columnize-0.3.1-3.fc12.src.rpm
Comment 5 Mamoru TASAKA 2009-12-15 14:15:07 EST
Well,

-------------------------------------------------------------
    37  # Fix shebangs
    38  find %{buildroot}/%{geminstdir} -type f -exec sed -r -e 's"^#!(.*)/usr/bin/env ruby"#!/usr/bin/ruby"' {} \;
-------------------------------------------------------------
- This should be "-exec sed -i -e".

Other things are okay.
-------------------------------------------------------------
  This package (rubygem-columnize) is APPROVED by mtasaka
-------------------------------------------------------------
Comment 6 Jeroen van Meeuwen 2009-12-20 10:14:04 EST
New Package CVS Request
=======================
Package Name: rubygem-columnize
Short Description: Sorts an array in column order
Owners: kanarip
Branches: EL-5 F-11 F-12
InitialCC:
Comment 7 Kevin Fenzi 2009-12-21 14:47:04 EST
cvs done.
Comment 8 Mamoru TASAKA 2009-12-23 10:55:04 EST
Closing.
Comment 9 Mamoru TASAKA 2010-05-03 14:12:49 EDT
*** Bug 588429 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.